=== debian/changelog ===
asl (0.1.7-5) unstable; urgency=medium

  * Team upload.
  * [d003648] Bump CMake policy version (Closes: #1112709)

 -- Timo Röhling <roehling@debian.org>  Wed, 24 Sep 2025 21:37:26 +0200

asl (0.1.7-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.
  * Fix uninstallable packages from the previous upload.

 -- Steve Langasek <vorlon@debian.org>  Wed, 31 Jan 2024 08:04:04 +0000

asl (0.1.7-4) unstable; urgency=medium

  * [e153a88] Compilation against vtk_9.1. (Closes: #1004411)
  * [58428e0] Apply cme fix dpkg. Set Standards-version to 4.6.0
  * [4f44d49] Wrap long lines in changelog entries: 0.1.7-3.
  * [3916f50] Update watch file format version to 4.

 -- Anton Gladky <gladk@debian.org>  Thu, 27 Jan 2022 19:48:46 +0100

asl (0.1.7-3) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Ghislain Antony Vaillant ]
  * [93e4e54] Drop myself from uploaders

  [ Anton Gladky ]
  * [11f6b6d] Add .gitlab-ci.yml
  * [192743a] Bump debhelper from old 10 to 13.
  * [cdb5e85] Set debhelper-compat version in Build-Depends.
  * [07981f8] Set field Upstream-Contact in debian/copyright.
  * [b9b6b72] Update Vcs-* headers from URL redirect.
  * [4e7f943] Use canonical URL in Vcs-Git.
  * [96921be] Remove obsolete field Contact from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * [20d693d] Avoid explicitly specifying -Wl,--as-needed linker flag.
  * [6a05913] Switch to vtk9
  * [049a95d] Add lintian-overrides

 -- Anton Gladky <gladk@debian.org>  Sat, 18 Sep 2021 22:04:21 +0200

asl (0.1.7-2) unstable; urgency=medium

  * Cherry-pick and install upstream manpages.
    - New patch Add-upstream-manpages.patch.
    - Use pandoc to generate the manpages.
    - Install and clean pandoc artefacts.
    - Remove lintian override for missing manpages.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 02 Dec 2016 14:22:59 +0000

asl (0.1.7-1) unstable; urgency=medium

  * Update patch queue.
    - Drop Explicitly-define-namespace-of-ifstream-and-ofstream.patch,
      applied upstream.
    - Drop Replace-includes-math.h-cmath.patch, applied upstream.
    - Refresh Use-system-MathJax.patch.
    - New patch Fix-spelling-errors-reported-by-Lintian.patch.
  * Update list of build dependencies.
  * Upgrade packaging to debhelper 10.
  * Replace occurrences of .md files with .org.
  * Drop build of unused examples and tests.
  * Use DEB_HOST_MULTIARCH for multiarch path injection.
  * Keep the doxygen generated instance of jQuery.
  * Update the description of all binary packages.
  * Provide utilities in new asl-tools package.
  * Rename libasl-doc package to asl-doc.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 24 Nov 2016 18:49:25 +0000
