=== debian/control ===
Source: asl
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libmatio-dev,
               libvtk9-dev,
               ocl-icd-opencl-dev | opencl-dev,
               pandoc
Build-Depends-Indep: doxygen,
                     graphviz
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/asl
Vcs-Git: https://salsa.debian.org/science-team/asl.git
Homepage: http://asl.org.il

Package: libasl0t64
Provides: ${t64:Provides}
Replaces: libasl0
Breaks: libasl0 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: multiphysics simulation software
 The Advanced Simulation Library (ASL) is a free and open source hardware
 accelerated multiphysics simulation platform (and an extensible general
 purpose tool for solving Partial Differential Equations).
 .
 Its computational engine is written in OpenCL and utilizes matrix-free
 solution techniques which enable extraordinarily high performance,
 memory efficiency and deployability on a variety of massively parallel
 architectures, ranging from inexpensive FPGAs, DSPs and GPUs up to
 heterogeneous clusters and supercomputers. The engine is hidden entirely
 behind simple C++ classes, so that no OpenCL knowledge is required from
 application programmers. Mesh-free, immersed boundary approach allows one
 to move from CAD directly to simulation drastically reducing pre-processing
 efforts and amount of potential errors.
 .
 ASL can be used to model various coupled physical and chemical phenomena and
 employed in a multitude of fields: computational fluid dynamics, virtual
 sensing, industrial process data validation and reconciliation, image-guided
 surgery, computer-aided engineering, design space exploration,
 crystallography, etc...
 .
 This package contains the shared libraries.

Package: libasl-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libasl0t64 (= ${binary:Version})
Suggests: asl-doc
Description: development files for ASL
 The Advanced Simulation Library (ASL) is a free and open source hardware
 accelerated multiphysics simulation platform (and an extensible general
 purpose tool for solving Partial Differential Equations).
 .
 Its computational engine is written in OpenCL and utilizes matrix-free
 solution techniques which enable extraordinarily high performance,
 memory efficiency and deployability on a variety of massively parallel
 architectures, ranging from inexpensive FPGAs, DSPs and GPUs up to
 heterogeneous clusters and supercomputers. The engine is hidden entirely
 behind simple C++ classes, so that no OpenCL knowledge is required from
 application programmers. Mesh-free, immersed boundary approach allows one
 to move from CAD directly to simulation drastically reducing pre-processing
 efforts and amount of potential errors.
 .
 ASL can be used to model various coupled physical and chemical phenomena and
 employed in a multitude of fields: computational fluid dynamics, virtual
 sensing, industrial process data validation and reconciliation, image-guided
 surgery, computer-aided engineering, design space exploration,
 crystallography, etc...
 .
 This package contains the development files.

Package: asl-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         libjs-mathjax
Breaks: libasl-doc (<< 0.1.7)
Replaces: libasl-doc (<< 0.1.7)
Description: documentation for ASL
 The Advanced Simulation Library (ASL) is a free and open source hardware
 accelerated multiphysics simulation platform (and an extensible general
 purpose tool for solving Partial Differential Equations).
 .
 Its computational engine is written in OpenCL and utilizes matrix-free
 solution techniques which enable extraordinarily high performance,
 memory efficiency and deployability on a variety of massively parallel
 architectures, ranging from inexpensive FPGAs, DSPs and GPUs up to
 heterogeneous clusters and supercomputers. The engine is hidden entirely
 behind simple C++ classes, so that no OpenCL knowledge is required from
 application programmers. Mesh-free, immersed boundary approach allows one
 to move from CAD directly to simulation drastically reducing pre-processing
 efforts and amount of potential errors.
 .
 ASL can be used to model various coupled physical and chemical phenomena and
 employed in a multitude of fields: computational fluid dynamics, virtual
 sensing, industrial process data validation and reconciliation, image-guided
 surgery, computer-aided engineering, design space exploration,
 crystallography, etc...
 .
 This package contains the documentation.

Package: asl-tools
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: command-line tools for ASL
 The Advanced Simulation Library (ASL) is a free and open source hardware
 accelerated multiphysics simulation platform (and an extensible general
 purpose tool for solving Partial Differential Equations).
 .
 Its computational engine is written in OpenCL and utilizes matrix-free
 solution techniques which enable extraordinarily high performance,
 memory efficiency and deployability on a variety of massively parallel
 architectures, ranging from inexpensive FPGAs, DSPs and GPUs up to
 heterogeneous clusters and supercomputers. The engine is hidden entirely
 behind simple C++ classes, so that no OpenCL knowledge is required from
 application programmers. Mesh-free, immersed boundary approach allows one
 to move from CAD directly to simulation drastically reducing pre-processing
 efforts and amount of potential errors.
 .
 ASL can be used to model various coupled physical and chemical phenomena and
 employed in a multitude of fields: computational fluid dynamics, virtual
 sensing, industrial process data validation and reconciliation, image-guided
 surgery, computer-aided engineering, design space exploration,
 crystallography, etc...
 .
 This package contains the command-line tools.
