=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
export DEB_CXXFLAGS_MAINT_APPEND = -Wall -pedantic

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture --query DEB_HOST_MULTIARCH)

BUILD_OPTIONS = \
	-DBUILD_SHARED_LIBS=ON \
	-DCMAKE_LIBRARY_ARCHITECTURE="$(DEB_HOST_MULTIARCH)" \
	-DWITH_EXAMPLES=OFF \
	-DWITH_MATIO=ON \
	-DWITH_TESTS=OFF

%:
	dh $@

override_dh_auto_configure-arch:
	dh_auto_configure -- $(BUILD_OPTIONS) -DWITH_API_DOC=OFF

override_dh_auto_configure-indep:
	dh_auto_configure -- $(BUILD_OPTIONS) -DWITH_API_DOC=ON

override_dh_auto_build-arch:
	dh_auto_build --arch
	pandoc doc/Man-Pages/asl-hardware.1.org -s -t man -o asl-hardware.1

override_dh_installdocs-indep:
	dh_installdocs --indep
	dh_doxygen --indep

override_dh_installchangelogs:
	dh_installchangelogs NEWS.org

override_dh_compress:
	dh_compress --exclude=examples
